#include <stdio.h>

int main()
{
	int N, i, Ai, suma; 
	double Pi, izlaz;
	scanf("%d", &N);
	
	for(i=0; i<N; i++)
	scanf("%d %f", &Ai, &Pi);
	
	do
	{
		Ai +=i;
		suma = Ai;
	} while (Pi >= 77.32);
	
    
    izlaz = (suma * 77.32)/100;
    printf("%.4f", izlaz);
    
	return 0;	
}